Bug 1296002 - Arduino 1.6.4 fails to start
Arduino 1.6.4 fails to start
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: arduino (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dennis Chen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-06 00:13 EST by Rich Mattes
Modified: 2016-01-16 08:21 EST (History)
7 users (show)

See Also:
Fixed In Version: arduino-1.6.4-4.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-16 08:21:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rich Mattes 2016-01-06 00:13:09 EST
Description of problem:
The Arduino IDE fails to launch on f23 when using the latest f23 packages.

Version-Release number of selected component (if applicable):
arduino-1.6.4-3.fc23.noarch

How reproducible:
Install arduino-1.6.4-3 from koji, and try to run the "arduino" script in /usr/bin

Steps to Reproduce:
1. $ sudo dnf install https://kojipkgs.fedoraproject.org//packages/arduino/1.6.4/3.fc23/noarch/arduino-1.6.4-3.fc23.noarch.rpm https://kojipkgs.fedoraproject.org//packages/arduino/1.6.4/3.fc23/noarch/arduino-core-1.6.4-3.fc23.noarch.rpm https://kojipkgs.fedoraproject.org//packages/arduino/1.6.4/3.fc23/noarch/arduino-doc-1.6.4-3.fc23.noarch.rpm
2. $ arduino


Actual results:
$ arduino 
Loading configuration...
Initializing packages...
java.io.FileNotFoundException: /usr/share/arduino/dist/package_index.json (No such file or directory)
	at java.io.FileInputStream.open0(Native Method)
	at java.io.FileInputStream.open(FileInputStream.java:195)
	at java.io.FileInputStream.<init>(FileInputStream.java:138)
	at processing.app.helpers.FileUtils.copyFile(FileUtils.java:44)
	at processing.app.BaseNoGui.initPackages(BaseNoGui.java:578)
	at processing.app.Base.<init>(Base.java:266)
	at processing.app.Base.guardedMain(Base.java:210)
	at processing.app.Base.main(Base.java:123)


Expected results:
IDE launches successfully.

Additional info:
It appears that the files that Arduino wants are:
  Arduino-1.6.4/app/test/cc/arduino/packages/contributions/package_index.json
  Arduino-1.6.4/app/test/cc/arduino/packages/contributions/package_index.json.sig

When these files are both placed in /usr/share/arduino/dist, the IDE launches successfully.  The spec file should be updated to install these two files to the proper location so that the IDE starts.
Comment 1 Robert Moskowitz 2016-01-06 11:32:34 EST
I am seeing the same error with Fedora23-arm with installing this version via Fedora-updates-testing repo.

But my installation does not have the mentioned package_index.json nor .json.sig files.
Comment 2 Adam Williamson 2016-01-06 12:01:44 EST
Please file negative karma at https://bodhi.fedoraproject.org/updates/FEDORA-2015-f7e72969b8 - that is, click the 'X' button for "Is the update generally functional?" and post a comment explaining the problem (maybe just link to this bug). Thanks!
Comment 3 Rich Mattes 2016-01-06 12:31:49 EST
@adam: Thanks for the reminder, I just submitted a negative report.

@robert: I got the missing files from the source tarball, not the installed rpms.  I downloaded the source from the lookaside as follows:

$ fedpkg clone -a arduino
$ cd arduino
$ fedpkg switch-branch f23
$ fedpkg prep
Comment 4 Fedora Update System 2016-01-07 05:21:13 EST
arduino-1.6.4-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0956a0b4f8
Comment 5 Fedora Update System 2016-01-08 23:28:35 EST
arduino-1.6.4-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0956a0b4f8
Comment 6 Fedora Update System 2016-01-16 08:21:50 EST
arduino-1.6.4-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.